         <div class="mt-3">
                <button (click)="(buttonChange())"
                    class="relative inline-flex items-center justify-center p-0.5 mb-2 mr-2 overflow-hidden text-sm font-medium text-gray-900 rounded-lg group bg-gradient-to-br from-purple-600 to-blue-500 group-hover:from-purple-600 group-hover:to-blue-500 hover:text-white dark:text-white focus:ring-4 focus:outline-none focus:ring-blue-300 dark:focus:ring-blue-800">
                    <span
                        class="relative px-5 py-2.5 transition-all ease-in duration-75 bg-white dark:bg-gray-900 rounded-md group-hover:bg-opacity-0">
                        {{buttons}}
                    </span>
                </button>
            </div>
            
            <form *ngIf="hideForm" [formGroup]="registerForm" (ngSubmit)="onSubmit()">
                <div class="mb-6">
                    <label for="name" class="block mb-2 text-sm font-medium text-gray-900 dark:text-gray-300">Student Name</label>
                    <input type="text" id="name" 
                        class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:ring-blue-500 hover:border-blue-500 block w-64 p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
                        placeholder="Enter name" 
                        formControlName="name"  [ngClass]="{ 'is-invalid': submitted && f['name'].errors }" 
                    >
                    <div *ngIf="submitted && f['name'].errors" class="text-rose-500">
                        <div *ngIf="f['name'].errors['required']">Name is Mandatory</div>
                    </div>
                        
                </div>
            
                <fieldset>
                    <legend class="sr-only">Gender</legend>
                    <div class="">
                        <label class="block pb-2 text-sm font-medium text-gray-900 dark:text-gray-300">
                            Gender 
                        </label>
                    </div>
                    <div class="flex gap-4">
                        <div class="flex items-center mb-4">
                            <input id="gender-1" type="radio" formControlName="gender" value="Male" 
                              [ngClass]="{ 'is-invalid': submitted && f['gender'].errors }" 
                                class="w-4 h-4 border-gray-300 focus:ring-2 focus:ring-blue-300 dark:focus:ring-blue-600 dark:focus:bg-blue-600 dark:bg-gray-700 dark:border-gray-600"
                                checked="" 
                                >
                            <label for="gender-1" class="block ml-2 text-sm font-medium text-gray-900 dark:text-gray-300">
                                Male
                            </label>
                        </div>
            
                        <div class="flex items-center mb-4">
                            <input id="gender-2" type="radio" formControlName="gender" value="Female"
                                class="w-4 h-4 border-gray-300 focus:ring-2 focus:ring-blue-300 dark:focus:ring-blue-600 dark:focus:bg-blue-600 dark:bg-gray-700 dark:border-gray-600">
                            <label for="gender-2" class="block ml-2 text-sm font-medium text-gray-900 dark:text-gray-300">
                                Female
                            </label>
                        </div>
            
                        <div class="flex items-center mb-4">
                            <input id="gender-3" type="radio" formControlName="gender" value="Other"
                                class="w-4 h-4 border-gray-300 focus:ring-2 focus:ring-blue-300 dark:focus:ring-blue-600 dark:bg-gray-700 dark:border-gray-600">
                            <label for="gender-3" class="block ml-2 text-sm font-medium text-gray-900 dark:text-gray-300">
                                Other
                            </label>
                        </div>
                    </div>
                    <div *ngIf="submitted && f['gender'].errors" class="text-rose-500">
                        <div *ngIf="f['gender'].errors['required']">Gender is Mandatory</div>
                    </div>
            
                </fieldset>
            
                <div class="pb-5">
                    <label for="subject" class="block mb-2 text-sm font-medium text-gray-900 dark:text-gray-400">Subject
                    </label>    
                    <select id="subject" formControlName="subject" [ngClass]="{ 'is-invalid': submitted && f['subject'].errors }" 
                        class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:ring-blue-500 focus:ring-blue-500 hover:border-blue-500 block w-64 p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" >
                        <option>Spring</option>
                        <option>DevOps</option>
                        <option>Data Analytics</option>
                        <option>iOS</option>
                        <option>Android</option>
                        <option>Blockchain</option>
                    </select>
                    <div *ngIf="submitted && f['subject'].errors" class="text-rose-500">
                        <div *ngIf="f['subject'].errors['required']">Subject is Mandatory</div>
                    </div>
            
                </div>
                
                <button type="submit"
        class="text-white bg-blue-700 hover:bg-blue-800  focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm w-full sm:w-auto px-5 py-2.5 text-center dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800">Submit</button>
</form>